Subject: [xrblock] Review of Delay XR Block draft

From: Qin Wu <[email-masked]>
Date: Tue, 11 Oct 2011 21:10:08 +0800

I like to see this draft moving forward.
Here is my review to the Delay XR Block draft maintained at
http://tools.ietf.org/html/draft-ietf-avt-rtcp-xr-delay-02
1. Section 1
Remove th last pragraph since Measurement Identity block is not well defined yet.

2. Section 2
Remove the section 2 since the terms Numeric format is not used. and the Numeric format
definition should be moved to PDV XR Block draft with modification as follows:
"
2.  Definitions

      This report block makes use of binary fractions.  The terminology

      used is

   Numeric formats  S X:Y

      where S indicates a two's complement signed representation, X the

      number of bits prior to the decimal place and Y the number of bits

      after the decimal place.

      Hence 8:8 represents an unsigned number in the range 0.0 to

      255.996 with a granularity of 0.0039.  S7:8 would represent the

      range -128.000 to +127.996. 0:16 represents a proper binary

      fraction with range

      0.0 to 1 - 1/65536 = 0.9999847

      though note that use of flag values at the top of the numeric

      range slightly reduces this upper limit.  For example, if the 16-

      bit values 0xfffe and 0xffff are used as flags for "over-range"

      and "unavailable" conditions, a 0:16 quantity has range
"

3. Section 2
Replace the removed section 2 with new section 2 as follows:
"
2.  Terminology

2.1.  Standards Language

   The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
   "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this
   document are to be interpreted as described in RFC 2119 [RFC2119].
"
This is becos reference RFC2119 in the reference section is not cited.

4. Section 3.1, figure 1
Add SSRC field next to Block Length field in the format of Report Block, since there was consesus to 
use SSRC to identify and correlate and group participants between reports.

5. Section 3.1 figure 1
Remove tag field from the format  of Report Block in the figure 1 since there was consesus to use SSRC to replace tag.

6. Section 3.1
Remove
 "
      Numerical values for both these intervals are provided in the

      Measurement Identifier block referenced by the tag field below.

"
from Interval Metric flag defintion.

7. Section 3.1
Add a defintion of  SSRC field after the figure 1.

8. Section 3.1

Remove the definition of tag field after the figure 1.

9. Section 9.1
Remove reference to  [MEASIDENT]  since Measurement Identity block is not needed in this draft.

Regards!
-Qin